Skip to content
You're viewing documentation for v2026.11.9-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Change your password

Ends the other sessions of the user and sets a new session cookie.

POST/api/v1/auth/password
Authorization
tse_sessionAPI key · cookierequired
Header parameters
X-Forwarded-Protostring
Request body
requiredapplication/json
current_passwordstring
new_passwordstring
Responses
200

OK

okbooleanrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/auth/password' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "current_password": "string",
  "new_password": "string"
}'
Response
{
  "ok": true
}